<div class="btnAcrossPageName">
    <mb-button mbButtonSize="MEDIUM" mbButtonAvailableStyle="ADD_NEW"
               (click)="openAddModal()"
               *ngIf="objFunction?.edit"
               mbButtonText="{{'personalTax.label.add' | translate}}"></mb-button>

    <mb-button
        mbButtonSize="MEDIUM"
        mbButtonAvailableStyle="IMPORT"
        (click)="doImportData()"
        *ngIf="objFunction?.edit"
        mbButtonText="{{'common.upload.upload' | translate}}"
    >
    </mb-button>
</div>

<div class="ptx__register content__item content__item--border bg__content--default" (keyup.enter)='doSearch(1, true)'>
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <app-search-form #searchForm
                     [functionCode]="functionCode"
                     [isShowRegisterStatus]="isShowRegisterStatus"
                     [isShowYear]="true"
                     [defaultListEmpStatus]="null"
    ></app-search-form>


    <div nz-row class="btn__row">
        <div nz-col nzSpan="8"></div>

        <div nz-col nzSpan="8">
            <div style="text-align: center">
                <mb-button
                    class="staff__research__btn__search"
                    mbButtonSize="MEDIUM"
                    mbButtonAvailableStyle="SEARCH"
                    (click)="doSearch(1, true)"
                    mbButtonText="{{'personalTax.label.search' | translate}}"
                ></mb-button>
                <mb-button
                    mbButtonSize="MEDIUM"
                    mbButtonType="BORDER"
                    (click)="doExportData()"
                >
                    <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
                </mb-button>
            </div>
        </div>
        <div nz-col nzSpan="8"></div>
    </div>
</div>

<div class="search__result">
  <mb-table-merge-cell-wrap>
    <div class="headerTableSelect" *ngIf="objFunction.edit">
      <mb-button
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'personalTax.label.invoiceRequestAll' | translate}}"
        [mbButtonBgColor]="isDisabled ? mbButtonBgColor : ''"
        [mbIsDisable]="isDisabled"
        (click)="doRequestAll()"
      ></mb-button>
      <mb-button
        *ngIf="listRegisterId.length > 0"
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'personalTax.label.invoiceRequest' | translate}}"
        (click)="doRequestList()"
      ></mb-button>
    </div>
    <mb-table-merge-cell
      #table
      (changePageNum)="doSearch($event)"
      [tableConfig]="tableConfig"
      [dataList]="searchResult"
      (dblClickRow)="onDblClickNode($event)"
      (amountSelectedRowsChange)="onAmountSelectedRowChange($event)"
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>

<ng-template #actionTmpl let-invoiceRequestId="invoiceRequestId" let-invoiceStatus='invoiceStatus'>
  <app-btn-action-by-id
    [registerId]="invoiceRequestId"
    [urlDeleteById]="urlDeleteById"
    (doSearch)="doSearch(pagination.pageNumber, $event)"
    (openModalEdit)="onEdit(invoiceRequestId)"
    (openModalDetail)="onDetail(invoiceRequestId)"
    [showDelete]='objFunction?.delete'
    [showEdit]='objFunction?.edit'
    [showApprove]='false'
    (onLoadPage)="onLoadPage($event)"
    [showInvoiceRequest]="objFunction.edit"
    [invoiceStatus]="invoiceStatus"
  >
  </app-btn-action-by-id>
</ng-template>

<ng-template #statusTmpl let-invoiceStatus='invoiceStatus'>
  <ng-container *ngFor='let item of listInvoiceStatus'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='invoiceStatus?.toString() === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>

<ng-template #empStatusTmpl let-empStatus="empStatus">
    <app-emp-status-common [empStatus]="empStatus"></app-emp-status-common>
</ng-template>

<app-import-common
    [showContent]="isImportData"
    (onCloseModal)="doCloseImport($event)"
    [urlApiDownloadTemp]="urlApiDownloadTemp"
    [urlApiImport]="urlApiImport"
    nzTitle="{{'personalTax.label.declarationUpload' | translate}}"
    (onLoadPage)="onLoadPage($event)"
>
</app-import-common>
